#include <config.h>

extern "C" {
  #include <INTERN.h>
  #include <EXTERN.h>
  #include <perl.h>

  void boot_IO(pTHX_ CV *cv);
  void boot_Compress__Zlib(pTHX_ CV *cv);
  void boot_POSIX(pTHX_ CV *cv);
  void boot_Digest__MD5(pTHX_ CV *cv);
  void boot_Encode(pTHX_ CV *cv);

  void xs_init(pTHX) {
    char *file = __FILE__;
    newXS("IO::bootstrap", boot_IO, file);
    newXS("Compress::Zlib::bootstrap", boot_Compress__Zlib, file);
    newXS("POSIX::bootstrap", boot_POSIX, file);
    newXS("Digest::MD5::bootstrap", boot_Digest__MD5, file);
    newXS("Encode::bootstrap", boot_Encode, file);
  }
}
